## org.w3c.jigsaw.http.socket
Class SocketClientFactoryStats

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.socket.SocketClientFactoryStats

public class SocketClientFactoryStats
extends java.lang.Object

Constructor Summary
`SocketClientFactoryStats(SocketClientFactory pool)`

Method Summary
`int` `getClientCount()`
`int` `getFreeConnectionsCount()`
`int` `getIdleConnectionsCount()`
`int` `getLoadAverage()`
`java.lang.String` `getServerLoad()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketClientFactoryStats

    public SocketClientFactoryStats(SocketClientFactory pool)

Method Detail

### getFreeConnectionsCount

    public int getFreeConnectionsCount()

### getIdleConnectionsCount

    public int getIdleConnectionsCount()

### getClientCount

    public int getClientCount()

### getLoadAverage

    public int getLoadAverage()

### getServerLoad

    public java.lang.String getServerLoad()